package com.philisense.www.service;


import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface ProDeptService extends BaseCRUDService {

    public List<Map<String, Object>> getProDeptTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProDeptTreeByLevelCode(Map<String, Object> map);

    public List<Map<String, Object>> getPageProUserByDeptCode(Map<String, Object> map);

    public int getCountProUserByDeptCode(Map<String, Object> map);

    public int updateDropNode(Map<String, Object> map);

    void updateBatchLevelCode(Map<String, Object> map);
}